//This file is part of Furius Iso Mount. Copyright 2008 Dean Harris (marcus_furius@hotmail.com)
//
//    Furius Iso Mount is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    Furius Iso Mount is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Furius Iso Mount.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Reflection;

namespace FuriusIsoMount
{
	/// <summary>
    ///   A strongly-typed resource class, for looking up localized strings, etc.
    /// </summary>
	internal class LocalizableResources
	{
		private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;

		internal LocalizableResources(){}
		
		/// <summary>
        ///   Returns the cached ResourceManager instance used by this class.
        /// </summary>
		internal static global::System.Resources.ResourceManager ResourceManager 
		{
            get 
			{
                if (object.ReferenceEquals(resourceMan, null)) 
				{
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("FuriusIsoMount", typeof(LocalizableResources).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
		
		/// <summary>
        ///   Overrides the current thread's CurrentUICulture property for all
        ///   resource lookups using this strongly typed resource class.
        /// </summary>
		internal static global::System.Globalization.CultureInfo Culture 
		{
            
			get 
			{
                return resourceCulture;
            }
            set 
			{
                resourceCulture = value;
            }
        }
		
        internal static string ApplicationStart {
            get {
                return ResourceManager.GetString("ApplicationStart", resourceCulture);
            }
        }
		
		internal static string ApplicationClosed {
            get {
                return ResourceManager.GetString("ApplicationClosed", resourceCulture);
            }
        }
		
		internal static string BrowseLabel {
            get {
                return ResourceManager.GetString("BrowseLabel", resourceCulture);
            }
        }
		
		internal static string MountLabel {
            get {
                return ResourceManager.GetString("MountLabel", resourceCulture);
            }
        }
		
		internal static string ChecksumLabel {
            get {
                return ResourceManager.GetString("ChecksumLabel", resourceCulture);
            }
        }
		
		internal static string BurnLabel {
            get {
                return ResourceManager.GetString("BurnLabel", resourceCulture);
            }
        }
		
		internal static string ViewLogLabel {
            get {
                return ResourceManager.GetString("ViewLogLabel", resourceCulture);
            }
        }
		
		internal static string DeleteLogLabel {
            get {
                return ResourceManager.GetString("DeleteLogLabel", resourceCulture);
            }
        }
		
		internal static string UnMountLabel {
            get {
                return ResourceManager.GetString("UnMountLabel", resourceCulture);
            }
        }
		
		internal static string SelectImageLabel {
            get {
                return ResourceManager.GetString("SelectImageLabel", resourceCulture);
            }
        }
		
		internal static string SelectedImageLabel {
            get {
                return ResourceManager.GetString("SelectedImageLabel", resourceCulture);
            }
        }
		
		internal static string HashLabel {
            get {
                return ResourceManager.GetString("HashLabel", resourceCulture);
            }
        }
		
		internal static string SelectedMountPointLabel {
            get {
                return ResourceManager.GetString("SelectedMountPointLabel", resourceCulture);
            }
        }
		
		internal static string MountedImagesHeading {
            get {
                return ResourceManager.GetString("MountedImagesHeading", resourceCulture);
            }
        }
		
		internal static string MountPointColumnHeading {
            get {
                return ResourceManager.GetString("MountPointColumnHeading", resourceCulture);
            }
        }
		
		internal static string ImageFileColumnHeading {
            get {
                return ResourceManager.GetString("ImageFileColumnHeading", resourceCulture);
            }
        }
		
		internal static string MountedImagesTooltip {
            get {
                return ResourceManager.GetString("MountedImagesTooltip", resourceCulture);
            }
        }
		
		internal static string BrowseButtonTooltip {
            get {
                return ResourceManager.GetString("BrowseButtonTooltip", resourceCulture);
            }
        }
		
		internal static string MountButtonTooltip {
            get {
                return ResourceManager.GetString("MountButtonTooltip", resourceCulture);
            }
        }
		
		internal static string UnmountButtonTooltip {
            get {
                return ResourceManager.GetString("UnmountButtonTooltip", resourceCulture);
            }
        }
		
		internal static string ChecksumButtonTooltip {
            get {
                return ResourceManager.GetString("ChecksumButtonTooltip", resourceCulture);
            }
        }
		
		internal static string BurnButtonTooltip {
            get {
                return ResourceManager.GetString("BurnButtonTooltip", resourceCulture);
            }
        }
		
		internal static string NoExistMountPoint {
            get {
                return ResourceManager.GetString("NoExistMountPoint", resourceCulture);
            }
        }
		
		internal static string ImageStillMounted {
            get {
                return ResourceManager.GetString("ImageStillMounted", resourceCulture);
            }
        }
		
		internal static string OpenLabel {
            get {
                return ResourceManager.GetString("OpenLabel", resourceCulture);
            }
        }
		
		internal static string CancelLabel {
            get {
                return ResourceManager.GetString("CancelLabel", resourceCulture);
            }
        }
		
		internal static string FileNotFound {
            get {
                return ResourceManager.GetString("FileNotFound", resourceCulture);
            }
        }
		
		internal static string IncompatibleFile {
            get {
                return ResourceManager.GetString("IncompatibleFile", resourceCulture);
            }
        }
		
		internal static string MountError {
            get {
                return ResourceManager.GetString("MountError", resourceCulture);
            }
        }
		
		internal static string UnmountError {
            get {
                return ResourceManager.GetString("UnmountError", resourceCulture);
            }
        }
		
		internal static string ChecksumStarted {
            get {
                return ResourceManager.GetString("ChecksumStarted", resourceCulture);
            }
        }
		
		internal static string CalculatingChecksum {
            get {
                return ResourceManager.GetString("CalculatingChecksum", resourceCulture);
            }
        }
		
		internal static string ChecksumAborted {
            get {
                return ResourceManager.GetString("ChecksumAborted", resourceCulture);
            }
        }
		
		internal static string ChecksumComplete {
            get {
                return ResourceManager.GetString("ChecksumComplete", resourceCulture);
            }
        }
		
		internal static string IncompatibleBurn {
            get {
                return ResourceManager.GetString("IncompatibleBurn", resourceCulture);
            }
        }
		
		internal static string LogNotFound {
            get {
                return ResourceManager.GetString("LogNotFound", resourceCulture);
            }
        }
		
		internal static string ConfirmLogDelete {
            get {
                return ResourceManager.GetString("ConfirmLogDelete", resourceCulture);
            }
        }
		
		internal static string RootNautilusWarning {
            get {
                return ResourceManager.GetString("RootNautilusWarning", resourceCulture);
            }
        }
		
		internal static string LogEntry {
            get {
                return ResourceManager.GetString("LogEntry", resourceCulture);
            }
        }
		
		internal static string AuthorDeveloper {
            get {
                return ResourceManager.GetString("AuthorDeveloper", resourceCulture);
            }
        }
		
		internal static string ApplicationDescription {
            get {
                return ResourceManager.GetString("ApplicationDescription", resourceCulture);
            }
        }
		
		internal static string LogEntryMountSuccess {
            get {
                return ResourceManager.GetString("LogEntryMountSuccess", resourceCulture);
            }
        }
		
		internal static string LogEntryMountSuccessLoop {
            get {
                return ResourceManager.GetString("LogEntryMountSuccessLoop", resourceCulture);
            }
        }
		
		internal static string LogEntryUnmountSuccess {
            get {
                return ResourceManager.GetString("LogEntryUnmountSuccess", resourceCulture);
            }
        }
		
		internal static string LogEntryCommandAttempted {
            get {
                return ResourceManager.GetString("LogEntryCommandAttempted", resourceCulture);
            }
        }
	}
}
